%define prerel 0
%define fversion %version
%define fname %name-%fversion

Summary:	The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Summary(de):	Netwide AsseMbler für x86- und x64-Architekturen
Name:		nasm
Version:	2.12.01
Release:	%mkrel 1
License:	LGPL
Group:		System/Libraries
Source:		http://www.nasm.us/pub/nasm/releasebuilds/%fversion/%{fname}.tar.xz
URL:		http://nasm.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires: ghostscript
BuildRequires: ghostscript-common
BuildRequires: groff
BuildRequires: texinfo
Obsoletes:  %name < %version

%package doc
Summary:	Extensive documentation for NASM
Summary(de):	Ausführliche Dokumentation für NASM
Group:		Documentation
Requires(pre):	 info-install
Requires(postun): info-install

%package rdoff
Summary: Tools for the RDOFF binary format, sometimes used with NASM
Summary(de): Werkzeuge für RDOFF
Group:	Development/Other

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.


#german
%description -l de
Das Programmierwerkzeug unterstützt die MMX-, SSE- und 3DNow!-Erweiterungen 
moderner AMD- und Intel-Prozessoren. Mit NASM stehen viele Ausgabeformate zur 
Verfügung: Linux,*BSD a.out, ELF, COFF, Mach-O, Microsoft 16-bit OBJ, Win32, Win64 
und Maschinencode (flat binary). NASM bringt einen Disassembler (ndisasm) mit. NASM 
ist unter der GNU Lesser General Public License (LGPL) freigegeben. 


%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML,
PostScript, RTF and text formats.

#german
%description doc -l de
Ausführliche Dokumentation für den Netwide Assembler NASM in HTML, PostScript, RTF und txt. 

%description rdoff
Tools for the operating-system independent RDOFF binary format, which
is sometimes used with the Netwide Assembler (NASM).  These tools
include linker, library manager, loader, and information dump.


#german
%description rdoff -l de
Tools für das von Betriebssytemen unabhängige Binärformat RDOFF. Häufig verwendet 
mit Netwide Assembler (NASM). Im Werkzeugkasten: Linker, Bibliothek-Manager, 
Ladeprogramm und Speicherauszug. 


%prep

%setup -q -n %fname

%build
rm -f config.cache config.status config.log
%configure2_5x
make everything

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{%{_bindir},%{_infodir},%{_mandir}/man1}
%makeinstall install_rdf
cd doc
install info/* %{buildroot}/%{_infodir}/
bzip2 -9f nasmdoc*.txt nasmdoc*.ps||true
cd html
ln -sf nasmdoc0.html index.html

%clean
rm -rf %{buildroot}

%post
%_install_info nasm.info

%preun
%_remove_install_info nasm.info

%files
%defattr(-,root,root)
%doc LICENSE CHANGES TODO AUTHORS README doc/internal.doc
%attr(755,root,root) %{_bindir}/nasm
%attr(755,root,root) %{_bindir}/ndisasm
%attr(755,root,root) %{_bindir}/rdf2ith
%attr(755,root,root) %{_bindir}/rdf2srec
%{_mandir}/man1/ldrdf.1*
%{_mandir}/man1/nasm.1*
%{_mandir}/man1/ndisasm.1*
%{_mandir}/man1/rd*.1*
%{_infodir}/nasm.info*

%files doc
%defattr(-,root,root)
%doc doc/nasmdoc.ps.bz2 doc/nasmdoc.txt.bz2  doc/html

%files rdoff
%defattr(-,root,root)
%doc rdoff/README rdoff/doc/v1-v2.txt
%{_bindir}/rdfdump
%{_bindir}/ldrdf
%{_bindir}/rdx
%{_bindir}/rdflib
%{_bindir}/rdf2bin
%{_bindir}/rdf2ihx
%{_bindir}/rdf2com


%changelog
* Wed May 11 2016 bb <bb> 2.12.01-1pclos2016
- update

* Sun Mar 29 2015 TerryN <terryn94 at gmail.com> 2.11.08-1pclos2015
- update

* Wed Nov 04 2014 bb <bb> 2.11.06-1pclos2014
- update

